/********************************************************************************************************/
/*
Copyright (C) 2008 Biger Kevin, Marguet Quentin, Muller Thomas, Vinatier Frdric (University of Science and Technology of Nantes)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

Contact: glovecontrol@free.fr
*/
/********************************************************************************************************/
//
#include "Tools.h"
//
namespace GC {
namespace Tools {
//
/*************************************************************************/
//
Divers::~Divers() {
}
/*************************************************************************/
//
QVector<QPoint> Divers::getPoints(const QString& chaine){
    QPoint point;
    QVector<QPoint> listePoints;
    QFile file(chaine);
    if( file.open( QIODevice::ReadOnly | QIODevice::Text ) ){
        QTextStream input(&file);
        input >> point.rx();
        input >> point.ry();
        listePoints.push_back(point);
        input >> point.rx();
        input >> point.ry();
        listePoints.push_back(point);
        input >> point.rx();
        input >> point.ry();
        listePoints.push_back(point);
        file.close();
    } else {
        // Erreur blabla
    }

    return listePoints;
}
//
/*************************************************************************/
//
}   // Tools
}   // GC
//
/*************************************************************************/
//
